Bug 173823 - Review Request: nuttcp
Review Request: nuttcp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://people.redhat.com/rvokal/nuttc...
:
Depends On:
Blocks: FE-ACCEPT 173744
  Show dependency treegraph
 
Reported: 2005-11-21 12:50 EST by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 09:52:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec patch (2.12 KB, patch)
2005-11-22 07:07 EST, Adrian Reber
no flags Details | Diff

  None (edit)
Description Radek Vokal 2005-11-21 12:50:40 EST
Spec Name or Url: nuttcp
SRPM Name or Url: http://people.redhat.com/rvokal/nuttcp/nuttcp-5.1.11-1.src.rpm
Description: nuttcp is possible replacement for ttcp package from Core.

       nuttcp  is  a  network performance measurement tool intended for use by
       network and system managers.  Its most basic usage is to determine  the
       raw  TCP  (or  UDP)  network  layer  throughput  by transferring memory
       buffers from a source system across an  interconnecting  network  to  a
       destination  system,  either  transferring  data  for  a specified time
       interval, or alternatively transferring a specified number of  buffers.
       In  addition  to  reporting  the  achieved  network throughput in Mbps,
       nuttcp also provides additional useful information related to the  data
       transfer  such  as  user,  system, and wall-clock time, transmitter and
       receiver CPU utilization, and loss percentage (for UDP transfers).

       nuttcp is based on nttcp, which in turn was an enhancement  by  someone
       at  Silicon  Graphics  (SGI) on the original ttcp, which was written by
       Mike Muuss at BRL sometime before December 1984, to compare the perfor-
       mance of TCP stacks by U.C. Berkeley and BBN to help DARPA decide which
       version to place in the first BSD Unix  release.   nuttcp  has  several
       useful  features beyond those of the basic ttcp/nttcp, such as a server
       mode, rate limiting, multiple parallel streams, and timer based  usage.
       nuttcp is also continuing to evolve to meet new requirements that arise
       and to add desired new features.  nuttcp has been  successfully  tested
       and  used  on a variety of Solaris, SGI, and PPC/X86 Linux systems, and
       should probably work fine on most flavors of Unix.
Comment 1 Radek Vokal 2005-11-21 13:36:05 EST
Some packaging changes in 

http://people.redhat.com/rvokal/nuttcp/nuttcp-5.1.11-2.src.rpm

xinted service is installed and unnecessary files from tarball were removed.
Comment 2 Adrian Reber 2005-11-22 06:07:34 EST
Will attach a patch with required changes.
Comment 3 Adrian Reber 2005-11-22 07:07:02 EST
Created attachment 121340 [details]
spec patch

Changes:
- added a URL
- removed wrong URL from Source
- fixed summary according to guidlines
- removed bogus build require
- disabled xinetd services
- using correct path in xinetd files
- removed unnecessary checks for BUILD_ROOT
- replaced /etc with macro
- added noreplace flag to %config
Comment 4 Radek Vokal 2005-11-22 07:15:55 EST
Ok, I will grab the changes. Why don't you like this?

-[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
+rm -fr $RPM_BUILD_ROOT

I like to double-check things .. 

Comment 5 Adrian Reber 2005-11-22 07:27:11 EST
-[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
+rm -fr $RPM_BUILD_ROOT

This has been discussed already many times on the fedora-extras list.
As buildroot is already set this makes no sense and what happens if it is
/usr /opt // /etc. But the best would be to check mailing list archives for this.
Comment 6 Radek Vokal 2005-11-22 08:04:32 EST
point taken, here's patched version 

http://people.redhat.com/rvokal/nuttcp/nuttcp-5.1.11-3.src.rpm
Comment 7 Rahul Sundaram 2005-11-25 11:50:14 EST
(In reply to comment #5)
> -[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
> +rm -fr $RPM_BUILD_ROOT
> 
> This has been discussed already many times on the fedora-extras list.
> As buildroot is already set this makes no sense and what happens if it is
> /usr /opt // /etc. But the best would be to check mailing list archives for this.

Would be good to get this into the guidelines then
Comment 8 Adrian Reber 2005-11-28 05:47:31 EST
* builds in mock (development and FC4)
* clean installation and removal
* rpmlint is happy
* md5sum of nuttcp-v5.1.11.c matches upstream
* spec looks good

APPROVED

I would like to see a comment above Source0 stating how the tarball was created
and that upstream doesn't provide one.
Comment 9 Radek Vokal 2005-11-28 07:29:01 EST
Ok, the comment about Source is back. I've also did some gcc clean-up, so now
there are only few harmless warnings. 

http://people.redhat.com/rvokal/nuttcp/nuttcp-5.1.11-4.src.rpm

Adrian, I don't have a sponsor, this is my first package in extras. Can you
sponsor my account? 
Comment 10 Adrian Reber 2005-11-28 09:48:27 EST
I would have sponsored you but it looks like I was to slow.
Comment 11 Radek Vokal 2005-11-28 09:52:01 EST
Yep, got the sponsor already :) The package is in CVS - devel branch. Closing
this as NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.